# Krys4lide

Logiciel de pharmacie

## Development

### Prerequisites

- [Rust](https://www.rust-lang.org/tools/install)
- [Node.js](https://nodejs.org/en/download/)
- [npm](https://www.npmjs.com/get-npm)
- [TailwindCSS Standalone](https://tailwindcss.com/blog/standalone-cli) ([Latest binaries](https://github.com/tailwindlabs/tailwindcss/releases/latest))
    - Make the binary available in your PATH as `tailwindcss` command

### Setup

```shell
cargo install cargo-watch
```

### Run

#### Run the webserver

```shell
cargo watch -x run
```

#### Run the TailwindCSS watcher

```shell
tailwindcss -i ./templates/assets/css/input.css -o ./assets/css/style.css --watch
```

## Production

### Build

```shell
tailwindcss -i ./templates/assets/css/input.css -o ./assets/css/style.css --minify
cargo build --release
```